/* Infowindow Roboto font override */
.gm-style {
	div, span, label, a {
		font-family: Helvetica, Arial, sans-serif;
	}
}

.GMAMP-maps-pin-view {
	color: #45464b;
	font: 400 1rem/1 Helvetica, Arial, sans-serif;
}

.bh-sl-form-container {
	width: 100%;
}
#bh-sl-user-location {
	display: flex;
	justify-content: center;
	box-shadow: var(--shadow-primary);
}
.form-input {
	width: fit-content;
	flex: 1 0 60%;
	background-color: var(--color-gray--light);
	input[type="text"] {
		background-color: var(--color-gray--light);
		width: 100%;
		border: 0;
		display: grid;
		align-content: center;
		padding: 0 0.25rem 0 0.5rem;
		height: 40px;
		font-family: 'Montserrat', sans-serif;
		font-size: 0.94rem;
		font-weight: 500;
		color: var(--color-gray);
		&::placeholder {
			font-family: 'Montserrat', sans-serif;
			color: #999;
			font-size: 0.8125rem;
			line-height: normal;
		}
	}
}
#bh-sl-submit {
	flex: 1 0 40%;
	width: fit-content;
	font-family: 'Montserrat', sans-serif;
	font-size: 0.875rem;
	line-height: 1;
	font-weight: 700;
	box-shadow: -2px 0 4px rgba(0,0,0,0.25);
	background: var(--color-green);
	border: none;
	color: #fff;
	cursor: pointer;
	padding: 0.25rem;
	white-space: nowrap;
}
.bh-sl-filters-container {
	margin: 1.5rem auto 0;
	width: 100%;
	opacity: 0;
	height: 1px;
	transition: all 0.25s ease-in;
	&.shown {
		opacity: 1;
		height: auto;
	}
	p {
		font-size: 1rem;
		color: var(--color-accent);
		font-weight: 800;
		text-transform: uppercase;
	}
}
#category-filters-container {
	display: flex;
	justify-content: space-around;
	margin: 0.5rem auto;
	flex-wrap: wrap;
	gap: 1rem;
	list-style: none;
	padding: 0;
	li {
		display: block;
		width: fit-content;
		background-color: transparent;
		padding: 0.5rem 1rem;
		line-height: 0;
		border-radius: 15px;
		transition: all 400ms ease-in-out;
	}
	label {
		font-size: 1rem;
		font-weight: 640;
		line-height: 1;
	}
	[type="radio"] {
		display: none;
	}
	li:has([type="radio"]:checked) {
		background-color: var(--color-gray);
		color: #fff;
	}
}
#bh-sl-map-container {
	width: 100%;
	display: flex;
	flex-direction: column;
	row-gap: 2rem;
}
#bh-sl-map.bh-sl-map-open {
	width: 100%;
	height: 100%;
	min-height: 480px;
}
.bh-sl-loc-list .list {
	list-style-type: none;
	padding: 0;
	margin-bottom: 2.5rem;
}
[data-markerid] {
	padding: 1.5rem 1rem;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	row-gap: 0.625rem;
	&:first-child {
		border-top: 1px solid #eee;
		padding-top: 1.75rem;
	}
}
.list-label {
	background-color: #d14343;
	color: #fff;
	padding: 0.5rem;
	line-height: 1;
	border-radius: 30px;
	font-weight: 740;
	width: 30px;
	height: 30px;
	text-align: center;
	display: block;
	margin-right: 0.5rem;
}
.loc-name {
	display: block;
	width: fit-content;
	font-weight: 700;
	line-height: 1;
	font-family: var(--font-alt);
	font-size: 1.25rem;
	margin-right: 1.5rem;
}
.loc-store--link a.button {
	padding: 0.0625rem 1rem;
	font-size: 0.8125rem;
	box-shadow: none;
	&:hover, &:focus {
		box-shadow: var(--shadow-primary);
	}
}
.list-details {
	min-width: 100%;
}
.list-content {
	> div:not(:last-child):not(:first-child) {
		margin-bottom: 0.25rem;
	}
	[class*="loc-addr"] {
		font-size: 1rem;
		font-weight: 550;
		line-height: 1.5;
	}
	.loc-dist {
		font-family: Arial, Helvetica, sans-serif;
		font-size: 1rem;
		font-weight: 600;
		.loc-directions {
			font-family: var(--font-main);
			font-size: 0.875rem;
			font-weight: 600;
			a {
				color: var(--color-accent);
			}
		}
	}
}

.bh-sl-loading {
	background: url('/wp-content/themes/fdm-antifungal/js/storeLocator/sl-loader.svg') no-repeat;
	margin: 1rem auto;
	height: 72px;
	width: 100%;
	background-position: center;
}
/* InfoBubble font size */
.bh-sl-window {
	font-size: 0.8125rem;
}
.bh-sl-error {
	clear: both;
	color: #d14343;
	float: left;
	font-weight: bold;
	padding: 0.875rem 0;
	width: 100%;
}
/* Avoid image issues with Google Maps and CSS resets */
.bh-sl-map-container img {
	border-radius: 0 !important;
	box-shadow: none !important;
	max-height: none !important;
	max-width: none !important;
}
.bh-sl-container .bh-sl-pagination-container {
	clear: both;
}
.bh-sl-container .bh-sl-pagination-container ol {
	list-style-type: none;
	margin: 0;
	padding: 10px 0;
	text-align: center;
}
.bh-sl-container .bh-sl-pagination-container ol li {
	display: inline-block;
	margin: 0 4px;
}
.bh-sl-container .bh-sl-pagination-container ol a {
	box-shadow: none;
	color: var(--color--accent);
	display: inline-block;
	font: bold 14px Arial, Helvetica, sans-serif;
	padding: 10px;
	text-decoration: underline;
}
.bh-sl-container .bh-sl-pagination-container ol .bh-sl-current {
	color: var(--color-gray);
	cursor: auto;
	text-decoration: none;
}
.bh-sl-container .bh-sl-pagination-container ol .bh-sl-current a {
	color: var(--color-gray);
	pointer-events: none;
	text-decoration: none;
}

/* Modal window */
.bh-sl-overlay {
	background: url('/wp-content/themes/terrasilshinglesskincare/js/storeLocator/overlay-bg.webp') repeat;
	height: 100%;
	left: 0;
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 10000;
}
.bh-sl-overlay .bh-sl-modal-window {
	background: #fff;
	border-radius: 10px;
	box-shadow: 0 0 10px #656565;
	position: absolute;
	left: 50%;
	margin-left: -460px;
	margin-top: 60px;
	height: 620px;
	width: 920px;
	z-index: 11;
}
.bh-sl-overlay .bh-sl-modal-window .bh-sl-map-container {
	margin-top: 50px;
}
.bh-sl-overlay .bh-sl-modal-window .bh-sl-modal-content {
	float: left;
	padding: 0 1%;
	width: 98%;
}
.bh-sl-overlay .bh-sl-modal-window .bh-sl-close-icon {
	right: 22px;
	top: 13px;
}
.bh-sl-close-icon {
	cursor: pointer;
	height: 24px;
	position: absolute;
	width: 24px;
}
.bh-sl-close-icon:after, .bh-sl-close-icon:before {
	background: #ccc;
	content: '';
	display: block;
	height: 24px;
	margin: -3px 0 0 -1px;
	position: absolute;
	bottom: 0;
	left: 50%;
	right: 3px;
	top: 3px;
	width: 3px;
	transform: rotate(45deg);
	}
.bh-sl-close-icon:hover:after, .bh-sl-close-icon:hover:before {
	background: #e2e2e2;
}
.bh-sl-close-icon:before {
	transform: rotate(-45deg);
}
/* End Overlay Styles */

.gm-style-iw-chr {
	justify-content: flex-end;
	max-width: fit-content;
	position: absolute;
	right: 10px;
	top: 0;
}
.gm-style .gm-style-iw-c {
	display: grid;
	min-height: 140px;
	align-items: center;
	width: 360px;
}
.gm-style-iw-d {
	padding-top: 1rem;
	> div {
		display: flex;
		row-gap: 0.75rem;
		flex-direction: column;
		> div:nth-child(2) {
			line-height: 1.4;
			font-weight: 480;
		}
	}
}
@media (min-width: 600px) {
	.form-input input[type="text"] {
		height: 50px;
	}
}
@media (min-width: 960px) {
	#bh-sl-map-container {
		flex-direction: row;
		margin-bottom: 2.5rem;
	}
	#bh-sl-map.bh-sl-map-open {
		border-top: 1px solid #eee;
		min-height: 985px;
		height: 100%;
		width: 70%;
	}
	.bh-sl-loc-list {
		width: 30%;
		.list {
			margin-bottom: 0;
		}
	}
	[data-markerid]:first-child {
		padding-top: 1.5rem;
	}
}

@media (min-width: 1024px) {
	[data-markerid] {
		padding-left: 2rem;
	}

	.bh-sl-container {
		.bh-sl-map-container {
			margin-bottom: 60px;
		}
		.bh-sl-loc-list {
			font-size: 0.875rem;
			height: 530px;
			overflow-x: auto;
			ul {
				display: block;
				width: 100%;
				list-style: none;
				margin: 0;
				padding: 0;
				li {
					border: 1px solid transparent;
					cursor: pointer;
					display: block;
					width: 100%;
				}
			}
			.list-label {
				background: #45464b;
				border-radius: 8px;
				color: #fff;
				display: block;
				float: left;
				font-weight: bold;
				margin: 10px 0 0 15px;
				padding: 4px 7px;
				text-align: center;
				width: auto;
				min-width: 13px;
			}
			.list-details {
				margin-left: 6px;
				width: 80%;
				.loc-dist {
					color: #6c6c6c;
					font-weight: bold;
					font-style: italic;
				}
			}
			.list-content {
				padding: 10px;
			}
			.list-focus {
				border: 1px solid rgba(0, 82, 147, 0.4);
				transition: border 0.2s linear 0s, box-shadow 0.2s linear 0s;
			}
			.bh-sl-close-directions-container {
				height: 20px;
				position: relative;
				width: 100%;
			}
			.bh-sl-close-directions-container .bh-sl-close-icon {
				right: 6px;
				top: 0;
			}
			.bh-sl-directions-panel {
				margin: 0 2%; /* Avoid issues with table-layout */
				table {
					table-layout: auto;
					width: 100%;
				}
			}
		}
	}

.bh-sl-container .bh-sl-loc-list .bh-sl-directions-panel table, .bh-sl-container .bh-sl-loc-list .bh-sl-directions-panel td {
	vertical-align: middle;
	border-collapse: separate;
}
.bh-sl-container .bh-sl-loc-list .bh-sl-directions-panel td {
	padding: 1px;
}
.bh-sl-container .bh-sl-loc-list .bh-sl-directions-panel .adp-placemark {
	margin: 10px 0;
	border: 1px solid #c0c0c0;
}
.bh-sl-container .bh-sl-loc-list .bh-sl-directions-panel .adp-marker {
	padding: 3px;
}
.bh-sl-container .bh-sl-loc-list .bh-sl-noresults-title {
	font-weight: bold;
	margin: 15px;
}
.bh-sl-container .bh-sl-loc-list .bh-sl-noresults-desc {
	margin: 0 15px;
}
.bh-sl-container .loc-name {
/* Picked up by both list and infowindows */
font-size: 15px;
font-weight: bold;
}
.bh-sl-container .bh-sl-map {
	float: left;
	height: 530px;
	width: 100%;
}
	.bh-sl-container .bh-sl-map {
		width: 70%;
	}
}
